| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLLCPTranscoder Class Reference

`#include <TransService.hpp>`

List of all members.

## Public Methods

virtual | ~XMLLCPTranscoder ()
virtual unsigned int | calcRequiredSize (const char *const srcText)=0
virtual unsigned int | calcRequiredSize (const XMLCh *const srcText)=0
virtual char* | transcode (const XMLCh *const toTranscode)=0
virtual XMLCh* | transcode (const char *const toTranscode)=0
virtual bool | transcode (const char *const toTranscode,XMLCh *const toFill,const unsigned int maxChars)=0
virtual bool | transcode (const XMLCh *const toTranscode,char *const toFill,const unsigned int maxBytes)=0

## Protected Methods

| XMLLCPTranscoder ()

## Constructor & Destructor Documentation

virtual XMLLCPTranscoder::~XMLLCPTranscoder ( | )`[virtual]`

XMLLCPTranscoder::XMLLCPTranscoder ( | )`[protected]`

## Member Function Documentation

virtual unsigned int XMLLCPTranscoder::calcRequiredSize ( | const XMLCh *const srcText )`[pure virtual]`

virtual unsigned int XMLLCPTranscoder::calcRequiredSize ( | const char *const srcText )`[pure virtual]`

virtual bool XMLLCPTranscoder::transcode ( | const XMLCh *const toTranscode,
| char *const toFill,
| const unsigned int maxBytes )`[pure virtual]`

virtual bool XMLLCPTranscoder::transcode ( | const char *const toTranscode,
| XMLCh *const toFill,
| const unsigned int maxChars )`[pure virtual]`

virtual XMLCh* XMLLCPTranscoder::transcode ( | const char *const toTranscode )`[pure virtual]`

virtual char* XMLLCPTranscoder::transcode ( | const XMLCh *const toTranscode )`[pure virtual]`

The documentation for this class was generated from the following file:

- TransService.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.